### Function

# FwupdPlugin Volume kind_convert_to_gpt

since: 1.8.6

#### Declaration [src]

    const gchar*
    fu_volume_kind_convert_to_gpt (
      const gchar* kind
    )

#### Description [src]

Converts a MBR type to a GPT type.

Available since: 1.8.6

#### Parameters

`kind`

  Type: `const gchar*`

  UDisk reported type string, e.g. `efi` or `0xef`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The GPT type, usually a GUID. If not known `kind` is returned.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.